package com.bocloud.cmp.model.hmc;

public class HmdVirtualIoAdapterModel extends HmdGenericModel {
    private String targetType; // 目标类型，取值：partition或profile
    private Boolean isRequired; // 1 必须 0 期望
    private HmdPartitionModel partition; // 所属的lpar/vios
    private HmdProfileModel profile; // 所属的概要文件
    private HmdServerIoAdapterModel ioAdapter; // 关联的io适配器

    public String getTargetType() {
        return targetType;
    }

    public void setTargetType(String targetType) {
        this.targetType = targetType;
    }

    public Boolean getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(Boolean isRequired) {
        this.isRequired = isRequired;
    }

    public HmdPartitionModel getPartition() {
        return partition;
    }

    public HmdPartitionModel newPartition() {
        this.partition = new HmdPartitionModel();
        return partition;
    }

    public void setPartition(HmdPartitionModel partition) {
        this.partition = partition;
    }

    public HmdProfileModel getProfile() {
        return profile;
    }

    public void setProfile(HmdProfileModel profile) {
        this.profile = profile;
    }

    public HmdServerIoAdapterModel getIoAdapter() {
        return ioAdapter;
    }

    public HmdServerIoAdapterModel newIoAdapter() {
        this.ioAdapter = new HmdServerIoAdapterModel();
        return ioAdapter;
    }

    public void setIoAdapter(HmdServerIoAdapterModel ioAdapter) {
        this.ioAdapter = ioAdapter;
    }
}
